Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator
Class Form

    java.lang.Object
      |
      +--org.apache.commons.validator.Form

All Implemented Interfaces:
  java.io.Serializable

public class Form
extends java.lang.Object
implements java.io.Serializable

This contains a set of validation rules for a form/JavaBean. The information is contained in a list of `Field` objects. Instances of this class are configured with a <form> xml element.

The use of FastHashMap is deprecated and will be replaced in a future release.

Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $
See Also:
  Serialized Form

Field Summary
`protected org.apache.commons.collections.FastHashMap` | `hFields` Deprecated. Subclasses should use getFieldMap() instead.
`protected java.lang.String` | `inherit` The name/key of the form which this form extends from.
`protected java.util.List` | `lFields` List of `Field`s.
`protected java.lang.String` | `name` The name/key the set of validation rules is stored under.

Constructor Summary
`Form()`

Method Summary
`void` | `addField(Field f)` Add a `Field` to the `Form`.
`boolean` | `containsField(java.lang.String fieldName)` Returns true if this Form contains a Field with the given name.
`java.lang.String` | `getExtends()` Gets the name/key of the parent set of validation rules.
`Field` | `getField(java.lang.String fieldName)` Returns the Field with the given name or null if this Form has no such field.
`protected java.util.Map` | `getFieldMap()` Returns a Map of String field keys to Field objects.
`java.util.List` | `getFields()` A `List` of `Field`s is returned as an unmodifiable `List`.
`java.lang.String` | `getName()` Gets the name/key of the set of validation rules.
`boolean` | `isExtending()` Get extends flag.
`boolean` | `isProcessed()` Whether or not the this `Form` was processed for replacing variables in strings with their values.
`protected void` | `merge(Form depends)` Merges the given form into this one.
`protected void` | `process(java.util.Map globalConstants, java.util.Map constants, java.util.Map forms)` Processes all of the `Form`'s `Field`s.
`void` | `setExtends(java.lang.String inherit)` Sets the name/key of the parent set of validation rules.
`void` | `setName(java.lang.String name)` Sets the name/key of the set of validation rules.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name/key the set of validation rules is stored under.

### lFields

    protected java.util.List lFields

  List of `Field`s. Used to maintain the order they were added in although individual `Field`s can be retrieved using `Map` of `Field`s.

### hFields

    protected org.apache.commons.collections.FastHashMap hFields

  Deprecated. Subclasses should use getFieldMap() instead.

  Map of `Field`s keyed on their property value.

### inherit

    protected java.lang.String inherit

  The name/key of the form which this form extends from.
  Since:
    Validator 1.2.0

Constructor Detail

### Form

    public Form()

Method Detail

### getName

    public java.lang.String getName()

  Gets the name/key of the set of validation rules.
  Returns:
    The name value

### setName

    public void setName(java.lang.String name)

  Sets the name/key of the set of validation rules.
  Parameters:
    `name` - The new name value

### addField

    public void addField(Field f)

  Add a `Field` to the `Form`.
  Parameters:
    `f` - The field

### getFields

    public java.util.List getFields()

  A `List` of `Field`s is returned as an unmodifiable `List`.
  Returns:
    The fields value

### getField

    public Field getField(java.lang.String fieldName)

  Returns the Field with the given name or null if this Form has no such field.
  Parameters:
    `fieldName` - The field name
  Returns:
    The field value
  Since:
    Validator 1.1

### containsField

    public boolean containsField(java.lang.String fieldName)

  Returns true if this Form contains a Field with the given name.
  Parameters:
    `fieldName` - The field name
  Returns:
    True if this form contains the field by the given name
  Since:
    Validator 1.1

### merge

    protected void merge(Form depends)

  Merges the given form into this one. For any field in `depends` not present in this form, include it. `depends` has precedence in the way the fields are ordered.
  Parameters:
    `depends` - the form we want to merge
  Since:
    Validator 1.2.0

### process

    protected void process(java.util.Map globalConstants,
                           java.util.Map constants,
                           java.util.Map forms)

  Processes all of the `Form`'s `Field`s.
  Parameters:
    `globalConstants` - A map of global constants
    `constants` - Local constants
    `forms` - Map of forms
  Since:
    Validator 1.2.0

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string representation

### isProcessed

    public boolean isProcessed()

  Whether or not the this `Form` was processed for replacing variables in strings with their values.
  Returns:
    The processed value
  Since:
    Validator 1.2.0

### getExtends

    public java.lang.String getExtends()

  Gets the name/key of the parent set of validation rules.
  Returns:
    The extends value
  Since:
    Validator 1.2.0

### setExtends

    public void setExtends(java.lang.String inherit)

  Sets the name/key of the parent set of validation rules.
  Parameters:
    `inherit` - The new extends value
  Since:
    Validator 1.2.0

### isExtending

    public boolean isExtending()

  Get extends flag.
  Returns:
    The extending value
  Since:
    Validator 1.2.0

### getFieldMap

    protected java.util.Map getFieldMap()

  Returns a Map of String field keys to Field objects.
  Returns:
    The fieldMap value
  Since:
    Validator 1.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.